## org.eclipse.jst.pagedesigner.editors.properties.quickedittabsections
Interface SectionInfo

    public interface SectionInfo

A representation of the model object 'Section Info'.

The following features are supported:

- `Id`
- `Type`

See Also:
  `QuickEditTabSectionsPackage.getSectionInfo()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`SECTION_TYPE` `getType()` Returns the value of the 'Type' attribute.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setType(SECTION_TYPE value)` Sets the value of the '`Type`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `QuickEditTabSectionsPackage.getSectionInfo_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getType

    SECTION_TYPE getType()

  Returns the value of the 'Type' attribute. The default value is `"ATTRIBUTE"`. The literals are from the enumeration `SECTION_TYPE`.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `SECTION_TYPE`, `setType(SECTION_TYPE)`, `QuickEditTabSectionsPackage.getSectionInfo_Type()`

### setType

    void setType(SECTION_TYPE value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `SECTION_TYPE`, `getType()`